Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media
Class VideoFormatKeys

    java.lang.Object
      org.monte.media.FormatKeys
          org.monte.media.VideoFormatKeys

Direct Known Subclasses:
  AmigaVideoFormatKeys

    public class VideoFormatKeys

extends FormatKeys

Defines common format keys for video media.

Version:
  $Id: VideoFormatKeys.java 142 2012-01-12 22:14:09Z werner $
Author:
  Werner Randelshofer

Nested Class Summary

Nested classes/interfaces inherited from class org.monte.media.FormatKeys
`FormatKeys.MediaType`

Field Summary
`static java.lang.String` | `COMPRESSOR_NAME_AVI_TECHSMITH_SCREEN_CAPTURE`
`static java.lang.String` | `COMPRESSOR_NAME_QUICKTIME_ANIMATION`
`static java.lang.String` | `COMPRESSOR_NAME_QUICKTIME_CINEPAK`
`static java.lang.String` | `COMPRESSOR_NAME_QUICKTIME_JPEG`
`static java.lang.String` | `COMPRESSOR_NAME_QUICKTIME_PNG`
`static java.lang.String` | `COMPRESSOR_NAME_QUICKTIME_RAW`
`static FormatKey<java.lang.String>` | `CompressorNameKey` The compressor name.
`static FormatKey<java.lang.Class>` | `DataClassKey` The data class.
`static FormatKey<java.lang.Integer>` | `DepthKey` The number of bits per pixel.
`static java.lang.String` | `ENCODING_AVI_DIB` Microsoft Device Independent Bitmap (DIB) format.
`static java.lang.String` | `ENCODING_AVI_DOSBOX_SCREEN_CAPTURE` DosBox Screen Capture format.
`static java.lang.String` | `ENCODING_AVI_MJPG` JPEG format.
`static java.lang.String` | `ENCODING_AVI_PNG` PNG format.
`static java.lang.String` | `ENCODING_AVI_RLE` Microsoft Run Length format.
`static java.lang.String` | `ENCODING_AVI_TECHSMITH_SCREEN_CAPTURE` Techsmith Screen Capture format.
`static java.lang.String` | `ENCODING_BITMAP_IMAGE` Interleaved planar bitmap format.
`static java.lang.String` | `ENCODING_BUFFERED_IMAGE`
`static java.lang.String` | `ENCODING_QUICKTIME_ANIMATION` Animation format.
`static java.lang.String` | `ENCODING_QUICKTIME_CINEPAK` Cinepak format.
`static java.lang.String` | `ENCODING_QUICKTIME_JPEG` JPEG format.
`static java.lang.String` | `ENCODING_QUICKTIME_PNG` PNG format.
`static java.lang.String` | `ENCODING_QUICKTIME_RAW` Raw format.
`static FormatKey<java.lang.Boolean>` | `FixedFrameRateKey` Whether the frame rate must be fixed.
`static FormatKey<java.lang.Integer>` | `HeightKey` The HeightKey of a video frame.
`static FormatKey<java.lang.Boolean>` | `InterlaceKey` Whether the video is interlaced.
`static FormatKey<Rational>` | `PixelAspectRatioKey` The pixel aspect ratio WidthKey : HeightKey;
`static FormatKey<java.lang.Float>` | `QualityKey` Encoding quality.
`static FormatKey<java.lang.Integer>` | `WidthKey` The WidthKey of a video frame.

Fields inherited from class org.monte.media.FormatKeys
`EncodingKey, FrameRateKey, KeyFrameIntervalKey, MediaTypeKey, MIME_ANIM, MIME_AVI, MIME_IMAGE_SEQUENCE, MIME_JAVA, MIME_MP4, MIME_QUICKTIME, MimeTypeKey`

Constructor Summary
`VideoFormatKeys()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCODING_BUFFERED_IMAGE

    public static final java.lang.String ENCODING_BUFFERED_IMAGE

See Also:
  Constant Field Values

### ENCODING_QUICKTIME_CINEPAK

    public static final java.lang.String ENCODING_QUICKTIME_CINEPAK

  Cinepak format.

  See Also:
    Constant Field Values

### COMPRESSOR_NAME_QUICKTIME_CINEPAK

    public static final java.lang.String COMPRESSOR_NAME_QUICKTIME_CINEPAK

See Also:
  Constant Field Values

### ENCODING_QUICKTIME_JPEG

    public static final java.lang.String ENCODING_QUICKTIME_JPEG

  JPEG format.

  See Also:
    Constant Field Values

### COMPRESSOR_NAME_QUICKTIME_JPEG

    public static final java.lang.String COMPRESSOR_NAME_QUICKTIME_JPEG

See Also:
  Constant Field Values

### ENCODING_QUICKTIME_PNG

    public static final java.lang.String ENCODING_QUICKTIME_PNG

  PNG format.

  See Also:
    Constant Field Values

### COMPRESSOR_NAME_QUICKTIME_PNG

    public static final java.lang.String COMPRESSOR_NAME_QUICKTIME_PNG

See Also:
  Constant Field Values

### ENCODING_QUICKTIME_ANIMATION

    public static final java.lang.String ENCODING_QUICKTIME_ANIMATION

  Animation format.

  See Also:
    Constant Field Values

### COMPRESSOR_NAME_QUICKTIME_ANIMATION

    public static final java.lang.String COMPRESSOR_NAME_QUICKTIME_ANIMATION

See Also:
  Constant Field Values

### ENCODING_QUICKTIME_RAW

    public static final java.lang.String ENCODING_QUICKTIME_RAW

  Raw format.

  See Also:
    Constant Field Values

### COMPRESSOR_NAME_QUICKTIME_RAW

    public static final java.lang.String COMPRESSOR_NAME_QUICKTIME_RAW

See Also:
  Constant Field Values

### ENCODING_AVI_DIB

    public static final java.lang.String ENCODING_AVI_DIB

  Microsoft Device Independent Bitmap (DIB) format.

  See Also:
    Constant Field Values

### ENCODING_AVI_RLE

    public static final java.lang.String ENCODING_AVI_RLE

  Microsoft Run Length format.

  See Also:
    Constant Field Values

### ENCODING_AVI_TECHSMITH_SCREEN_CAPTURE

    public static final java.lang.String ENCODING_AVI_TECHSMITH_SCREEN_CAPTURE

  Techsmith Screen Capture format.

  See Also:
    Constant Field Values

### COMPRESSOR_NAME_AVI_TECHSMITH_SCREEN_CAPTURE

    public static final java.lang.String COMPRESSOR_NAME_AVI_TECHSMITH_SCREEN_CAPTURE

See Also:
  Constant Field Values

### ENCODING_AVI_DOSBOX_SCREEN_CAPTURE

    public static final java.lang.String ENCODING_AVI_DOSBOX_SCREEN_CAPTURE

  DosBox Screen Capture format.

  See Also:
    Constant Field Values

### ENCODING_AVI_MJPG

    public static final java.lang.String ENCODING_AVI_MJPG

  JPEG format.

  See Also:
    Constant Field Values

### ENCODING_AVI_PNG

    public static final java.lang.String ENCODING_AVI_PNG

  PNG format.

  See Also:
    Constant Field Values

### ENCODING_BITMAP_IMAGE

    public static final java.lang.String ENCODING_BITMAP_IMAGE

  Interleaved planar bitmap format.

  See Also:
    Constant Field Values

### WidthKey

    public static final FormatKey<java.lang.Integer> WidthKey

  The WidthKey of a video frame.

### HeightKey

    public static final FormatKey<java.lang.Integer> HeightKey

  The HeightKey of a video frame.

### DepthKey

    public static final FormatKey<java.lang.Integer> DepthKey

  The number of bits per pixel.

### DataClassKey

    public static final FormatKey<java.lang.Class> DataClassKey

  The data class.

### CompressorNameKey

    public static final FormatKey<java.lang.String> CompressorNameKey

  The compressor name.

### PixelAspectRatioKey

    public static final FormatKey<Rational> PixelAspectRatioKey

  The pixel aspect ratio WidthKey : HeightKey;

### FixedFrameRateKey

    public static final FormatKey<java.lang.Boolean> FixedFrameRateKey

  Whether the frame rate must be fixed. False means variable frame rate.

### InterlaceKey

    public static final FormatKey<java.lang.Boolean> InterlaceKey

  Whether the video is interlaced.

### QualityKey

    public static final FormatKey<java.lang.Float> QualityKey

  Encoding quality. Value between 0 and 1.

Constructor Detail

### VideoFormatKeys

    public VideoFormatKeys()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD